#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/OWSWITCH_FUNC.sh
#
# Copyright (c) 2016-2016 the Eisfair team, team(at)eisfair(dot)org>
#
# Creation:     2016-06-13  jed
# Last Update:  $Id: OWSWITCH_FUNC.sh 42022 2016-06-25 13:50:58Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    local win="${p2}"

    if [ -z "${value}" ]
    then
        # empty, set to default value
        value='none'
    fi

    sellist="none,input,input-uncached,output,output-uncached"

    ece_select_list_dlg "${win}" "owSwitch function" "${sellist}"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
