#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/OWSWITCH_INPUT_DEFAULT.sh
#
# Copyright (c) 2016-2016 the Eisfair team, team(at)eisfair(dot)org>
#
# Creation:     2016-06-13 jed
# Last Update:  $Id: OWSWITCH_INPUT_DEFAULT.sh 41911 2016-06-14 21:38:05Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    local win="${p2}"

    if [ -z "${value}" ]
    then
        # empty, set to default value
        value='0'
    fi

    sellist='0,1'

    ece_select_list_dlg "${win}" "PIO port default status" "${sellist}"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
